Skip to main content
GET
/
v2
/
api
/
customers
curl --location --request GET 'https://api.explo.co/v2/api/customers/?pageSize=2&page=1' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>'
{
  "total_count": 10,
  "results": {
    "customers": [
      {
        "token": "<customer_token_to_auth_dashboard>",
        "name": "Example 1",
        "provided_id": "example_1",
        "is_demo_group": false,
        "emails": ["[email protected]"],
        "group_tags": ["designers", "engineers"],
        "properties": { "filter_value": "value" },
        "computed_properties": { "filter_value": "value" },
        "access_group": "Development",
        "parent_schema_datasource_mapping": { "40": "213", "134": "386" },
        "computed_parent_schema_datasource_mapping": { "40": "213", "134": "386" },
        "hierarchy_level": "Level 1"
      },
      {
        "token": "<customer_token_to_auth_dashboard>",
        "name": "Example 2",
        "provided_id": "example_2",
        "is_demo_group": false,
        "emails": ["[email protected]"],
        "group_tags": [],
        "properties": { "filter_value": "value" },
        "computed_properties": { "filter_value": "value" },
        "access_group": "Production",
        "parent_schema_datasource_mapping": { "40": "213", "134": "386" },
        "computed_parent_schema_datasource_mapping": { "40": "213", "134": "386" },
        "hierarchy_level": "Level 2"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.explo.co/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint gets all of your customers. This list will be filtered to the customers your API token has access to.
parent_provided_id
string
Filters customers to those with specified parent provided id.
hierarchy_level_name
string
Filters customers to those within the specified hierarchy level.
page
number
The result page number to request. Defaults to 1.
page_size
number
The result page size. Defaults to 20. The max is 1000

Response

total_count
number
The total number of results possible.
results
object
Response wrapper object. Contains the customers response field.
customers
object[]
The contents of each customer
curl --location --request GET 'https://api.explo.co/v2/api/customers/?pageSize=2&page=1' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>'
{
  "total_count": 10,
  "results": {
    "customers": [
      {
        "token": "<customer_token_to_auth_dashboard>",
        "name": "Example 1",
        "provided_id": "example_1",
        "is_demo_group": false,
        "emails": ["[email protected]"],
        "group_tags": ["designers", "engineers"],
        "properties": { "filter_value": "value" },
        "computed_properties": { "filter_value": "value" },
        "access_group": "Development",
        "parent_schema_datasource_mapping": { "40": "213", "134": "386" },
        "computed_parent_schema_datasource_mapping": { "40": "213", "134": "386" },
        "hierarchy_level": "Level 1"
      },
      {
        "token": "<customer_token_to_auth_dashboard>",
        "name": "Example 2",
        "provided_id": "example_2",
        "is_demo_group": false,
        "emails": ["[email protected]"],
        "group_tags": [],
        "properties": { "filter_value": "value" },
        "computed_properties": { "filter_value": "value" },
        "access_group": "Production",
        "parent_schema_datasource_mapping": { "40": "213", "134": "386" },
        "computed_parent_schema_datasource_mapping": { "40": "213", "134": "386" },
        "hierarchy_level": "Level 2"
      }
    ]
  }
}